{% import 'macros/base.twig' as m %}

<div class="col-md-12">
    <hr/>
    <div class="text-center footer" style="margin-bottom: 10px;">
        {% block eventinfo %}
            {% if config('name') %}
                {% if config('event_start') and config('event_end') %}
                    {{ __('%1$s, from %2$s to %3$s', [
                        config('name'),
                        config('event_start').format(__('Y-m-d')),
                        config('event_end').format(__('Y-m-d'))
                    ]) }}
                    {%- if config('enable_show_day_of_event') and day_of_event is defined -%}
                        , {{ __('event.day', [day_of_event]) }}
                    {% endif %}
                {% elseif config('event_start') %}
                    {{ __('%1$s, starting %2$s', [
                        config('name'),
                        config('event_start').format(__('Y-m-d'))
                    ]) }}
                    {%- if config('enable_show_day_of_event') and day_of_event is defined -%}
                        , {{ __('event.day', [day_of_event]) }}
                    {% endif %}
                {% else %}
                    {{ config('name') }}
                {% endif %} <br>
            {% elseif config('event_start') and config('event_end') %}
                {{ __('Event from %1$s to %2$s', [
                    config('event_start').format(__('Y-m-d')),
                    config('event_end').format(__('Y-m-d'))
                ]) }}
                {%- if config('enable_show_day_of_event') and day_of_event is defined -%}
                    , {{ __('event.day', [day_of_event]) }}
                {% endif %} <br>
            {% endif %}
        {% endblock %}

        {% for name,url in config('footer_items') %}
            <a href="{% if url starts with '/' %}{{ url(url) }}{% else %}{{ url }}{% endif %}">
                {% if '@' in url %}{{ m.icon('envelope') }}{% endif %}
                {{ __(name) }}
            </a> ·
        {% endfor %}
        <a href="https://github.com/engelsystem/engelsystem/issues">{{ __('Bugs / Features') }}</a>
        · <a href="https://github.com/engelsystem/engelsystem/">{{ __('Development Platform') }}</a>
        · <a href="{{ url('/credits') }}">{{ __('Credits') }}</a>
    </div>
</div>
